curl --request GET \
--url https://api.cadanapay.com/v1/files/{fileId} \
--header 'Authorization: Bearer <token>'{
"fileId": "1d3f870c-bc91-4636-a0d4-8e54bccf7d64",
"purpose": "kyc-id-front",
"getUrl": "https://url",
"expiresIn": 899,
"createdAt": 1748478276,
"tenantKey": "abc123"
}Get details and a download URL for a file by its fileId
curl --request GET \
--url https://api.cadanapay.com/v1/files/{fileId} \
--header 'Authorization: Bearer <token>'{
"fileId": "1d3f870c-bc91-4636-a0d4-8e54bccf7d64",
"purpose": "kyc-id-front",
"getUrl": "https://url",
"expiresIn": 899,
"createdAt": 1748478276,
"tenantKey": "abc123"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier for the file
Get file details and download URL
"1d3f870c-bc91-4636-a0d4-8e54bccf7d64"
Logical reason for the upload
kyc-id-front, kyc-id-back, kyc-selfie, kyc-id-selfie, kyb-incorporation-document, kyb-tax-certificate, kyb-address-proof, kyc-address-proof, reimbursements-proof, business-onboarding-document, contract "kyc-id-front"
Pre-signed HTTPS GET URL (single-use)
Seconds until the URL expires
899
Unix timestamp when the file was created
1748478276
Tenant key associated with the file
"cad65668351"